import request from '@/utils/request'

// 查询会员每日看课统计列表
export function listStatistics(query) {
  return request({
    url: '/course/statistics/list',
    method: 'get',
    params: query
  })
}

// 查询会员每日看课统计详细
export function getStatistics(id) {
  return request({
    url: '/course/statistics/' + id,
    method: 'get'
  })
}

// 新增会员每日看课统计
export function addStatistics(data) {
  return request({
    url: '/course/statistics',
    method: 'post',
    data: data
  })
}

// 修改会员每日看课统计
export function updateStatistics(data) {
  return request({
    url: '/course/statistics',
    method: 'put',
    data: data
  })
}

// 删除会员每日看课统计
export function delStatistics(id) {
  return request({
    url: '/course/statistics/' + id,
    method: 'delete'
  })
}

// 导出会员每日看课统计
export function exportStatistics(query) {
  return request({
    url: '/course/statistics/export',
    method: 'get',
    params: query
  })
}